;;; post-early-init.el --- DESCRIPTION -*- no-byte-compile: t; lexical-binding: t; -*-


;; * Custom Variables
;; ** Path Variables
;; Define the vars
(defgroup config-dirs
  nil "My Configuration directories")
(defvar user-lisp-dir (expand-file-name "single-lisp" minimal-emacs-user-directory)
  "Directory for standalone lisp files that are manually installed.")
(defvar user-config-dir (expand-file-name "config" minimal-emacs-user-directory)
  "Directory for all configurations to go under.")
(defvar user-secure-config-dir (expand-file-name "secure-config" minimal-emacs-user-directory)
  "Directory for all secure configurations to go under")
(defcustom user-repo-dir (expand-file-name "sources" (getenv "HOME"))
  "User directory that repos are stored in."
  :type 'directory
  :group 'config-dirs)
(defcustom user-org-dir (expand-file-name "org" (getenv "HOME"))
  "User's default directory for org files"
  :type 'directory
  :group 'config-dirs)

;; Add them to load path for use
(add-to-list 'load-path user-config-dir)
(add-to-list 'load-path user-lisp-dir)
(add-to-list 'load-path user-secure-config-dir)

;; ** UI Variables
(defcustom emacs-font "Fira Code Nerd Font" "Font to use"
  :type 'string
  :group 'config-ui)
(defcustom emoji-font "Noto Color Emoji" "Font for emojis/icons"
  :type 'string
  :group 'config-ui)
(defcustom emacs-theme 'doom-spacegrey "Theme to use"
  :type 'string
  :group 'config-ui)
