function _init_zellij
    if type -p zellij 2>&1 >/dev/null
        not test $ZELLIJ_SESSION_NAME && not test "$TERM" = dumb
        # Commands to run in interactive sessions can go here
        # set ZELLIJ_AUTO_ATTACH true
        set ZELLIJ_AUTO_EXIT true
        if test $ZELLIJ_SESSION
            zellij attach -c $ZELLIJ_SESSION
        else
            zellij -l welcome
        end
        if $ZELLIJ_AUTO_EXIT
            kill $fish_pid
        end
    end
end

function _init_atuin
    if type -p atuin 2>&1 >/dev/null
        atuin init fish | source
    end
end

function _init_fish_greeting
    if test "$TERM_PROGRAM" = vscode
        function fish_greeting
        end
    else
        function fish_greeting
            if type -p fastfetch 2>&1 >/dev/null
                fastfetch
            end
        end
    end
end

function _init_zoxide
    if type -p zoxide 2>&1 >/dev/null
        zoxide init fish --hook pwd | source
    end
end
