if type -p direnv 2>&1 >/dev/null
    direnv hook fish | source
end

if test $INSIDE_EMACS
    set USE_ZELLIJ false
else
    set USE_ZELLIJ true
end

if test "$TERM" = dumb
    function fish_prompt
        echo "\$ "
    end

    function fish_greeting
    end
    function fish_title
    end
    function fish_right_prompt
    end

    set USE_ZELLIJ false
end

if status is-interactive
    if type -p oh-my-posh 2>&1 >/dev/null
        oh-my-posh init fish --config /home/jleechpe/.config/oh-my-posh/jleechpe.omp.yaml | source
    end
    if $USE_ZELLIJ && not test $ZELLIJ_SESSION_NAME
        _init_zellij
    end
    _init_atuin
    _init_fish_greeting
    _init_zoxide
end


set -gx PNPM_HOME "/home/jleechpe/.local/share/pnpm"
set -gx PATH "$PNPM_HOME" $PATH


# tabtab source for packages
# uninstall by removing these lines
[ -f ~/.config/tabtab/fish/__tabtab.fish ]; and . ~/.config/tabtab/fish/__tabtab.fish; or true
